Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Update a Claim Type

Request

Updates a Claim Type.

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobject
oldValuesobjectrequired
oldValues.​versionintegerrequired
oldValues.​typedIdstringrequired
oldValues.​uniqueNamestring
oldValues.​labelstring
oldValues.​formulaNamestring
oldValues.​allocationFormulaNamestring
oldValues.​validationStateElementNamestring
oldValues.​sheetNamestring
oldValues.​createDatestring
oldValues.​createdByinteger
oldValues.​lastUpdateDatestring
oldValues.​lastUpdateByinteger
operationTypestringrequired
textMatchStylestring
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/CLT \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "typedId": "12.CLT",
      "configuration": {
        "columns": {
          "sku": {
            "name": null,
            "fieldFormatType": null,
            "canEdit": true
          }
        }
      }
    },
    "oldValues": {
      "version": 0,
      "typedId": "12.CLT",
      "uniqueName": "CLT01",
      "label": "Claim Type 01",
      "formulaName": "claimCalculation",
      "allocationFormulaName": "claimAllocation",
      "validationStateElementName": "validationState",
      "sheetName": "DATA",
      "createDate": "2022-10-07T09:13:41",
      "createdBy": 2147490187,
      "lastUpdateDate": "2022-10-07T09:13:41",
      "lastUpdateBy": 2147490187
    },
    "operationType": "update",
    "textMatchStyle": "exact"
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "node", "data": [], "status": 0 } }

Delete a Claim Type

Request

Deletes a Claim Type. Specify the typedId of the Claim Type you want to delete in the request (see the request example).

Security
basic or X-PriceFx-jwt
Bodyapplication/json
dataobjectrequired
data.​typedIdstringrequired
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/CLT \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "typedId": "13.CLT"
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-57c6448bd-62zqf", "data": [], "status": 0 } }

List Claim Types

Request

Retrieves all Claim Types, or Claim Types that match a filter.

Security
basic or X-PriceFx-jwt
Bodyapplication/json

The example of the request body contains the filter. The call returns Claim Types whose name equals to "claimType".

endRowinteger
oldValuesobject or null
operationTypestring
startRowinteger
textMatchStylestring
dataobject
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/CLT \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 300,
    "oldValues": null,
    "operationType": "fetch",
    "startRow": 0,
    "textMatchStyle": "exact",
    "data": {
      "_constructor": "AdvancedCriteria",
      "operator": "and",
      "criteria": [
        {
          "fieldName": "uniqueName",
          "operator": "iEquals",
          "value": "claimType"
        }
      ]
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "node", "startRow": 0, "data": [], "endRow": 1, "totalRows": 1, "status": 0 } }

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas